package hr.unizg.srce.d470.iznimke;

public class SretniBrojeviVlastitaIznimka {

	public static void main(String[] args) {
		int suma = 0;

		try {
			for (String arg : args) {
				int a = Integer.parseInt(arg);
				for (int i = a; i > 0; i /= 10)
					if (i % 10 != 4 && i % 10 != 7)
						throw new NesretanBrojException(a + " nije sretan broj.");
				suma += a;
			}
			System.out.println(suma);
		} catch (NumberFormatException nfe) {
			System.err.println("Ulazni parametar nije cijeli broj.");
		} catch (NesretanBrojException ex) {
			System.err.println(ex.getMessage());
		}
	}

}
