package hr.unizg.srce.d470.iznimke;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.NoSuchElementException;
import java.util.Scanner;

public class ZavrsneAkcije {

	public static void main(String[] args) {
		Scanner sc = null;

		for (String imeDatoteke : args) {
			try {
				System.out.format("Otvaram datoteku %s.\n", imeDatoteke);
				sc = new Scanner(new File(imeDatoteke));
				System.out.format("Datoteka sadrzi broj: %d.\n", sc.nextInt());
			} catch (FileNotFoundException e) {
				System.out.format("Datoteka %s ne postoji.\n", imeDatoteke);
			} catch (NoSuchElementException exception) {
				System.out.format("Datoteka %s ne sadri broj.\n", imeDatoteke);
			} finally {
				System.out.println("Izvrsavam blok finally.");
				if (sc != null)
					sc.close();
			}
		}
	}

}
