package hr.unizg.srce.d470.nasljedivanje;

public class Proizvod {

	private int id;
	private String naziv;
	private double cijena;

	public Proizvod(int id, String naziv, double cijena) {
		this.setId(id);
		this.setNaziv(naziv);
		this.setCijena(cijena);
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNaziv() {
		return naziv;
	}

	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}

	public double getCijena() {
		return cijena;
	}

	public void setCijena(double cijena) {
		this.cijena = cijena;
	}

	private double preracunajEuro() {
		return getCijena() / 7.5;
	}

	public void ispisiInformacije() {
		System.out.println(getId() + ", " + getNaziv() + ", " + preracunajEuro() + " eura");
	}

}
