package hr.unizg.srce.d470.obrasci.prototip;

public class Element implements Komponenta {

	private final int broj;

	public Element(int broj) {
		this.broj = broj;
	}

	public Element(Element element) {
		this(element.getBroj());
	}

	public int getBroj() {
		return broj;
	}

	@Override
	public String toString() {
		return "Element [broj=" + getBroj() + "]";
	}

	@Override
	public boolean sadrzi(int broj) {
		System.out.println(this);
		return getBroj() == broj;
	}

	@Override
	public Prototip kloniraj() {
		return new Element(this);
	}

}
