package hr.unizg.srce.d470.opjj;

/**
 * Program ucitava polumjer kruga iz argumenata komandne linije te ispisuje
 * opseg i povrsinu.
 */
public class OpsegPovrsinaKruga {

	public static void main(String[] args) {
		if (args.length != 1) {
			System.err.print("Greska, ");
			System.err.println("nije predan polumjer.");
			return;
		}

		double polumjer = Double.parseDouble(args[0]);

		System.out.println("Podaci o krugu:");
		System.out.printf("Polumjer: %.3f\n", polumjer);
		System.out.printf("Opseg: %f\n", 2.0 * polumjer * Math.PI);
		System.out.format("Povrsina: %f", polumjer * polumjer * Math.PI);
	}

}
