package hr.unizg.srce.d470.vjezbe.connectx;

public abstract class Igrac {

	private final String ime;

	private final Zeton zeton;

	public Igrac(final String ime, final Zeton zeton) {
		this.ime = ime;
		this.zeton = zeton;
	}

	public String getIme() {
		return ime;
	}

	public Zeton getZeton() {
		return zeton;
	}

	public abstract Potez odluci(final Igra igra);

	@Override
	public String toString() {
		return getIme();
	}

}
