package hr.unizg.srce.d470.vjezbe.nasljedivanje;

import java.util.Scanner;

public class LjudskiIgrac extends Igrac {

	private final Scanner citacUlaznogToka;

	public LjudskiIgrac(final String ime, final Zeton zeton, final Scanner citacUlaznogToka) {
		super(ime, zeton);
		this.citacUlaznogToka = citacUlaznogToka;
	}

	@Override
	public Potez odluci() {
		@SuppressWarnings("unused")
		final String vrstaPoteza = citacUlaznogToka.next();
		int indeksStupca = citacUlaznogToka.nextInt();

		return new PotezUbaci(indeksStupca, getZeton());
	}

}
