package hr.unizg.srce.d470.vjezbe.parametrizacija;

import java.util.Scanner;

public class ConnectX {

	public static void main(String[] args) {
		int brRedaka = Integer.parseInt(args[0]);
		int brStupaca = Integer.parseInt(args[1]);
		int brZetonaZaredom = Integer.parseInt(args[2]);

		Scanner sc = new Scanner(System.in);

		Igrac igrac1 = new LjudskiIgrac(sc.next(), Zeton.X, sc);
		Igrac igrac2 = new LjudskiIgrac(sc.next(), Zeton.O, sc);

		Igra igra = new Igra(brRedaka, brStupaca, brZetonaZaredom, igrac1, igrac2);

		StanjeIgre stanje = igra.odigraj();

		switch (stanje) {
		case POBJEDA_PRVI:
			System.out.format("Pobjednik je %s!\n", igrac1);
			break;
		case POBJEDA_DRUGI:
			System.out.format("Pobjednik je %s!\n", igrac2);
			break;
		case REMI:
			System.out.println("Remi.");
			break;
		default:
			System.err.println("Igra je neocekivano zavrsila.");
		}

		sc.close();
	}

}
