package hr.unizg.srce.d470.vjezbe.parametrizacija;

public class PotezUbaci extends Potez {

	private final Zeton zeton;

	public PotezUbaci(final int indeksStupca, final Zeton zeton) {
		super(indeksStupca);
		this.zeton = zeton;
	}

	public Zeton getZeton() {
		return zeton;
	}

	@Override
	public void igraj(final Ploca<Zeton> ploca) {
		ploca.ubaciElement(getIndeksStupca(), getZeton());
	}

	@Override
	public String toString() {
		return "Ubaci " + getZeton() + " u stupac " + getIndeksStupca();
	}

}
