package hr.unizg.srce.d470.kolekcije;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.ListIterator;

public class Zivotinje {

	public static void main(String[] args) {
		List<String> lista = new LinkedList<>();

		for (String arg : args)
			lista.add(arg);

		System.out.println("Lista: " + lista);

		System.out.println("Prva zivotinja je: " + lista.get(0));
		System.out.println("Zadnja zivotinja je: " + lista.get(lista.size() - 1));

		if (lista.contains("ovan"))
			lista.remove("ovan");

		ListIterator<String> iterator = lista.listIterator();

		// Svim zivotinjama zapisi imena velikim slovima.
		while (iterator.hasNext()) {
			String zivotinja = iterator.next();
			iterator.set(zivotinja.toUpperCase());
		}

		System.out.println(lista);

		// Sortiraj listu.
		Collections.sort(lista);

		System.out.println("Sortirana lista: " + lista);

		// Izbrisi posljednje tri zivotinje.
		for (int i = 0; i < 3 && iterator.hasPrevious(); ++i) {
			iterator.remove();
			iterator.previous();
			System.out.println(lista);
		}
	}

}
