package hr.unizg.srce.d470.nasljedivanje;

public class NestedObrada {

	private static class UgnijezdeniPlatniNalog implements Nalog {

		@Override
		public void obradi(Proizvod[] proz) {
			double ukupnaCijena = 0.0;
			for (Proizvod proizvod : proz)
				ukupnaCijena += proizvod.getCijena();

			System.out.println("Ukupna cijena je: " + ukupnaCijena);
		}

	}

	public static void main(String[] args) {
		Proizvod[] proizvodi = { new Proizvod(1, "papir", 30), new Sudoper(2, "GranitX", 900, TipSudopera.UGRADBENI),
				new Plocica(3, "May Ceramics", 120, 60, 60) };

		Nalog nalog = new UgnijezdeniPlatniNalog();

		nalog.obradi(proizvodi);
	}

}
