package hr.unizg.srce.d470.nasljedivanje;

public class Sudoper extends Proizvod {

	private TipSudopera tipSudopera;

	public Sudoper(int id, String naziv, double cijena, TipSudopera tipSudopera) {
		super(id, naziv, cijena);
		this.setTipSudopera(tipSudopera);
	}

	public TipSudopera getTipSudopera() {
		return tipSudopera;
	}

	public void setTipSudopera(TipSudopera tipSudopera) {
		this.tipSudopera = tipSudopera;
	}

	@Override
	public void ispisiInformacije() {
		System.out.print(getTipSudopera() + " sudoper, ");
		super.ispisiInformacije();
	}

}
