package hr.unizg.srce.d470.opjj;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintStream;
import java.util.Scanner;

/**
 * Program prima putanje do dvije datoteke preko argumenata komandne linije.
 * Program ucitava sve brojeve iz prve datoteke te za svaki provjerava je li
 * prost. Odgovarajuce poruke ispisuju se u drugu datoteku.
 */
public class ProstiBrojeviDatoteka {

	public static void main(String[] args) throws FileNotFoundException {
		Scanner sc = new Scanner(new File(args[0]));
		PrintStream ps = new PrintStream(new File(args[1]));

		while (sc.hasNextLong()) {
			long broj = sc.nextLong();
			boolean prost = true;

			if (broj < 2)
				prost = false;

			for (long j = 2; j < broj; ++j) {
				if (broj % j == 0) {
					prost = false;
					break;
				}
			}

			ps.println(broj + (prost ? " je" : " nije") + " prost.");
		}

		sc.close();
	}

}