package hr.unizg.srce.d470.opjj;

/**
 * Program ucitava pozitivne brojeve iz argumenata komandne linije. Za sve parne
 * brojeve ispisuje se zbroj znamenki, a u slucaju citanja negativnog broja
 * ispisuje se odgovarajuca poruka.
 */
public class ZbrojZnamenki {

	public static void main(String[] args) {
		for (String arg : args) {
			int broj = Integer.parseInt(arg);

			if (broj < 0) {
				System.out.println("Pogreska: Unesen je negativni broj " + broj + ".");
				break;
			}

			if (broj % 2 != 0)
				continue;

			int zbroj = 0;
			for (int tBroj = broj; tBroj > 0; tBroj /= 10)
				zbroj += tBroj % 10;

			System.out.println("Zbroj znamenki parnog broja " + broj + " je " + zbroj + ".");
		}
	}

}
