package hr.unizg.srce.d470.parametrizacija;

import hr.unizg.srce.d470.nasljedivanje.Plocica;
import hr.unizg.srce.d470.nasljedivanje.Proizvod;
import hr.unizg.srce.d470.nasljedivanje.Sudoper;
import hr.unizg.srce.d470.nasljedivanje.TipSudopera;

public class Ogranicavanje {

	private static <T extends Proizvod> T ispisiVrati(T proizvod) {
		proizvod.ispisiInformacije();
		return proizvod;
	}

	public static void main(String[] args) {
		Sudoper[] sudoperi = { new Sudoper(1, "XGranit 40cm", 800, TipSudopera.UGRADBENI),
				new Sudoper(2, "XGranit 60cm", 1100, TipSudopera.UGRADBENI) };
		Plocica[] plocice = { new Plocica(3, "May Ceramics mramor", 220, 120, 60),
				new Plocica(4, "May Ceramics beton", 160, 60, 60) };

		Sudoper[] noviSudoperi = new Sudoper[sudoperi.length];
		Plocica[] novePlocice = new Plocica[plocice.length];

		for (int i = 0; i < sudoperi.length; ++i)
			noviSudoperi[i] = ispisiVrati(sudoperi[i]);
		for (int i = 0; i < plocice.length; ++i)
			novePlocice[i] = ispisiVrati(plocice[i]);
	}

}