package hr.unizg.srce.d470.parametrizacija;

public class Par<K, V> {

	private K kljuc;

	private V vrijednost;

	public Par() {
		this(null, null);
	}

	public Par(K kljuc, V vrijednost) {
		this.kljuc = kljuc;
		this.vrijednost = vrijednost;
	}

	public K getKljuc() {
		return kljuc;
	}

	public void setKljuc(K kljuc) {
		this.kljuc = kljuc;
	}

	public V getVrijednost() {
		return vrijednost;
	}

	public void setVrijednost(V vrijednost) {
		this.vrijednost = vrijednost;
	}

	@Override
	public String toString() {
		return "(" + kljuc + ":" + vrijednost + ")";
	}

}
