package hr.unizg.srce.d470.parametrizacija;

public class Parovi {

	private static <K, V> void obradiPar(Par<K, V> par) {
		K kljuc = par.getKljuc();
		V vrijednost = par.getVrijednost();

		System.out.format("Par %s sadrzi kljuc \"%s\" i vrijednost \"%d\".\n", par, kljuc, vrijednost);
	}

	public static void main(String[] args) {
		for (int i = 0; i + 1 < args.length; i += 2) {
			Par<String, Integer> par = new Par<>();
			par.setKljuc(args[i]);
			par.setVrijednost(Integer.parseInt(args[i + 1]));

			obradiPar(par);
		}
	}

}
