package hr.unizg.srce.d470.razredi;

public class VoziloPreopterecenje {
	private String boja;
	private double tezina;
	private int brojKotaca;
	private double brzina;

	public VoziloPreopterecenje() {
		this(null, 0.0, 0, 0.0);
	}

	public VoziloPreopterecenje(String boja, double tezina, int brojKotaca) {
		this(boja, tezina, brojKotaca, 0.0);
	}

	public VoziloPreopterecenje(String boja, double tezina, int brojKotaca, double brzina) {
		this.boja = boja;
		this.tezina = tezina;
		this.brojKotaca = brojKotaca;
		this.brzina = brzina;
	}

	void ubrzaj(double x) {
		setBrzina(getBrzina() + x);
	}

	void uspori(double x) {
		setBrzina(getBrzina() - x);
	}

	public String getBoja() {
		return boja;
	}

	public void setBoja(String boja) {
		this.boja = boja;
	}

	public double getTezina() {
		return tezina;
	}

	public void setTezina(double tezina) {
		this.tezina = tezina;
	}

	public int getBrojKotaca() {
		return brojKotaca;
	}

	public void setBrojKotaca(int brojKotaca) {
		this.brojKotaca = brojKotaca;
	}

	public double getBrzina() {
		return brzina;
	}

	public void setBrzina(double brzina) {
		this.brzina = brzina;
	}
}
