package hr.unizg.srce.d470.vjezbe.connectx;

import java.util.Random;
import java.util.Scanner;

public class ConnectX {

	public static void main(String[] args) {
		int brRedaka = Integer.parseInt(args[0]);
		int brStupaca = Integer.parseInt(args[1]);
		int brZetonaZaredom = Integer.parseInt(args[2]);

		Scanner sc = new Scanner(System.in);

		Igrac igrac1 = new LjudskiIgrac(sc.next(), Zeton.X, sc);
		//Igrac igrac2 = new LjudskiIgrac(sc.next(), Zeton.O, sc);

		//Igrac igrac1 = new RacunalniIgrac("Blesavi", Zeton.X, new SlucajnaStrategija());
		Igrac igrac2 = new RacunalniIgrac("Pametni", Zeton.O, new PametnaStrategija(4));

		Igrac[] igraci = { igrac1, igrac2 };
		Random random = new Random();
		int prviIgrac = random.nextInt(2);
		int drugiIgrac = (prviIgrac + 1) % 2;
		Igra igra = new Igra(brRedaka, brStupaca, brZetonaZaredom, igraci[prviIgrac], igraci[drugiIgrac]);
		System.out.println("Prvi igrac je " + igraci[prviIgrac] + ".");

		StanjeIgre stanje = igra.odigraj();

		switch (stanje) {
		case POBJEDA_PRVI:
			System.out.format("Pobjednik je %s!\n", igraci[prviIgrac]);
			break;
		case POBJEDA_DRUGI:
			System.out.format("Pobjednik je %s!\n", igraci[drugiIgrac]);
			break;
		case REMI:
			System.out.println("Remi.");
			break;
		default:
			System.err.println("Igra je neocekivano zavrsila.");
		}

		sc.close();
	}

}
