package hr.unizg.srce.d470.vjezbe.connectx;

public class RacunalniIgrac extends Igrac {

	private final Strategija strategija;

	public RacunalniIgrac(final String ime, final Zeton zeton, final Strategija strategija) {
		super(ime, zeton);
		this.strategija = strategija;
	}

	@Override
	public Potez odluci(final Igra igra) {
		return strategija.apply(igra, this);
	}

}
