package hr.unizg.srce.d470.vjezbe.connectx;

import java.util.ArrayList;
import java.util.List;
import java.util.function.BiFunction;

public abstract class Strategija implements BiFunction<Igra, Igrac, Potez> {

	protected List<Potez> mogucnosti(final Ploca<Zeton> ploca, final Zeton zeton) {
		List<Potez> moguciPotezi = new ArrayList<>();

		for (int i = 0; i < ploca.getBrStupaca(); ++i) {
			if (ploca.getVisinaStupca(i) < ploca.getBrRedaka())
				moguciPotezi.add(new PotezUbaci(i, zeton));
			if (ploca.getElement(0, i) == zeton)
				moguciPotezi.add(new PotezIzbaci(i));
		}

		return moguciPotezi;
	}
}
