package hr.unizg.srce.d470.vjezbe.opjj;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class Studenti {

	public static void main(String[] args) throws FileNotFoundException {
		Scanner sc = new Scanner(new File(args[0]));

		int sumaEcts = 0;

		String trenutnoPrezime = "";
		int trenutnoPrezimeBrojLjudi = 0;
		double trenutnoPrezimeSumaOcjena = 0.0;

		String najcescePrezime = "";
		double najcescePrezimeProsjek = 0.0;
		int najcescePrezimeBrojLjudi = 0;

		while (sc.hasNext()) {
			String prezime = sc.next();
			String ime = sc.next();
			int ects = sc.nextInt();
			double srednjaOcjena = sc.nextDouble();

			if (prezime.equals(trenutnoPrezime)) {
				trenutnoPrezimeSumaOcjena += srednjaOcjena;
				trenutnoPrezimeBrojLjudi++;
			} else {
				if (trenutnoPrezimeBrojLjudi > najcescePrezimeBrojLjudi) {
					najcescePrezime = trenutnoPrezime;
					najcescePrezimeBrojLjudi = trenutnoPrezimeBrojLjudi;
					najcescePrezimeProsjek = trenutnoPrezimeSumaOcjena / trenutnoPrezimeBrojLjudi;
				}
				trenutnoPrezime = prezime;
				trenutnoPrezimeBrojLjudi = 1;
				trenutnoPrezimeSumaOcjena = srednjaOcjena;
			}

			if (Math.abs(srednjaOcjena - 5.0) <= 1e-6)
				System.out.format("Odlikas: %s %s %d %.1f\n", prezime, ime, ects, srednjaOcjena);

			sumaEcts += ects;
		}

		System.out.format("\nSuma ECTS bodova je %d.\n", sumaEcts);
		System.out.format("\nNajcesce prezime je %s (%d), a srednja ocjena svih studenata s tim prezimenom je %.2f.\n",
				najcescePrezime, najcescePrezimeBrojLjudi, najcescePrezimeProsjek);

		sc.close();
	}

}