package hr.unizg.srce.d470.vjezbe.razredi;

import java.util.Scanner;

public class ConnectX {

	private static void ispisiPlocu(Ploca ploca) {
		for (int i = ploca.getBrRedaka() - 1; i >= 0; --i) {
			for (int j = 0; j < ploca.getBrStupaca(); ++j) {
				Zeton z = ploca.getZeton(i, j);
				System.out.print((z == null) ? "." : z);
			}
			System.out.println("");
		}
	}

	public static void main(String[] args) {
		int brRedaka = Integer.parseInt(args[0]);
		int brStupaca = Integer.parseInt(args[1]);

		Ploca ploca = new Ploca(brRedaka, brStupaca);
		int indeksZetona = 0;

		Scanner sc = new Scanner(System.in);

		while (sc.hasNextInt()) {
			int stupac = sc.nextInt();
			ploca.ubaciZeton(stupac, (indeksZetona == 0) ? Zeton.X : Zeton.O);
			indeksZetona = (indeksZetona + 1) % 2;
			ispisiPlocu(ploca);
		}

		sc.close();
	}

}
