package hr.unizg.srce.d470.vjezbe.razredi;

public class Ploca {

	private final int brRedaka;

	private final int brStupaca;

	private final Zeton[][] ploca;

	public Ploca(final int brRedaka, final int brStupaca) {
		this.brRedaka = brRedaka;
		this.brStupaca = brStupaca;

		ploca = new Zeton[brRedaka][brStupaca];
	}

	public int getBrRedaka() {
		return brRedaka;
	}

	public int getBrStupaca() {
		return brStupaca;
	}

	public Zeton getZeton(final int redak, final int stupac) {
		return ploca[redak][stupac];
	}

	public void ubaciZeton(final int stupac, final Zeton zeton) {
		for (int i = 0; i < brRedaka; ++i) {
			if (ploca[i][stupac] == null) {
				ploca[i][stupac] = zeton;
				break;
			}
		}
	}

}
